Xalan-Java 2.7.1: Class XPATHErrorResources_pt_BR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.res
Class XPATHErrorResources_pt_BR

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--org.apache.xpath.res.XPATHErrorResources_pt_BR

public class XPATHErrorResources_pt_BR
extends java.util.ListResourceBundle

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first add a Static string constant for the Key and update the contents array with Key, Value pair Also you need to update the count of messages(MAX_CODE)or the count of warnings(MAX_WARNING) [ Information purpose only]

Usage:
  **For advanced use only**

Field Summary
`static java.lang.String` | `BAD_CODE` Field BAD_CODE
`static java.lang.String` | `ER_ARG_CANNOT_BE_NULL`
`static java.lang.String` | `ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` asNodeIterator() not supported by XRTreeFragSelectWrapper
`static java.lang.String` | `ER_AXES_NOT_ALLOWED`
`static java.lang.String` | `ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL`
`static java.lang.String` | `ER_CANNOT_CALL_SETSHOULDCACHENODE` Can not call setShouldCacheNodes after nextNode has been called!
`static java.lang.String` | `ER_CANNOT_CREATE_URL`
`static java.lang.String` | `ER_CANNOT_DEAL_XPATH_TYPE`
`static java.lang.String` | `ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL`
`static java.lang.String` | `ER_CANT_CONVERT_TO_BOOLEAN` ER_CANT_CONVERT_XPATHRESULTTYPE_TO_BOOLEAN
`static java.lang.String` | `ER_CANT_CONVERT_TO_MUTABLENODELIST`
`static java.lang.String` | `ER_CANT_CONVERT_TO_NODELIST`
`static java.lang.String` | `ER_CANT_CONVERT_TO_NUMBER`
`static java.lang.String` | `ER_CANT_CONVERT_TO_SINGLENODE` Field ER_CANT_CONVERT_TO_SINGLENODE
`static java.lang.String` | `ER_CANT_CONVERT_TO_STRING`
`static java.lang.String` | `ER_CANT_CONVERT_TO_TYPE`
`static java.lang.String` | `ER_CANT_CONVERT_XPATHRESULTTYPE_TO_NUMBER`
`static java.lang.String` | `ER_CANT_GET_SNAPSHOT_LENGTH` Field ER_CANT_GET_SNAPSHOT_LENGTH
`static java.lang.String` | `ER_CONTEXT_HAS_NO_OWNERDOC`
`static java.lang.String` | `ER_COULD_NOT_FIND_VAR` Could not find variable with the name of
`static java.lang.String` | `ER_COULDNOT_BE_FORMATTED_TO_NUMBER`
`static java.lang.String` | `ER_COULDNOT_CREATE_XMLPROCESSORLIAISON`
`static java.lang.String` | `ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH`
`static java.lang.String` | `ER_COULDNOT_FIND_FUNCTION`
`static java.lang.String` | `ER_COULDNOT_GET_VAR_NAMED`
`static java.lang.String` | `ER_COUNT_TAKES_1_ARG`
`static java.lang.String` | `ER_CURRENT_NOT_ALLOWED_IN_MATCH`
`static java.lang.String` | `ER_CURRENT_TAKES_NO_ARGS`
`static java.lang.String` | `ER_DETACH_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` detach() not supported by XRTreeFragSelectWrapper
`static java.lang.String` | `ER_DIDNOT_FIND_XPATH_SELECT_EXP`
`static java.lang.String` | `ER_DOC_MUTATED` Field ER_DOC_MUTATED
`static java.lang.String` | `ER_DOCUMENT_REPLACED`
`static java.lang.String` | `ER_DTM_CANNOT_HANDLE_NODES`
`static java.lang.String` | `ER_EMPTY_EXPRESSION`
`static java.lang.String` | `ER_EMPTY_XPATH_RESULT`
`static java.lang.String` | `ER_ERROR_OCCURED`
`static java.lang.String` | `ER_EXPECTED_BUT_FOUND`
`static java.lang.String` | `ER_EXPECTED_DOUBLE_QUOTE`
`static java.lang.String` | `ER_EXPECTED_LOC_PATH` Problem with LocationPath
`static java.lang.String` | `ER_EXPECTED_LOC_PATH_AT_END_EXPR`
`static java.lang.String` | `ER_EXPECTED_LOC_STEP` Problem with Step
`static java.lang.String` | `ER_EXPECTED_MATCH_PATTERN`
`static java.lang.String` | `ER_EXPECTED_NODE_TEST` Problem with NodeTest
`static java.lang.String` | `ER_EXPECTED_REL_LOC_PATH` Problem with RelativeLocationPath
`static java.lang.String` | `ER_EXPECTED_REL_PATH_PATTERN` Expected relative path pattern
`static java.lang.String` | `ER_EXPECTED_SINGLE_QUOTE`
`static java.lang.String` | `ER_EXPECTED_STEP_PATTERN` Expected step pattern
`static java.lang.String` | `ER_EXTENSION_FUNCTION_CANNOT_BE_INVOKED`
`static java.lang.String` | `ER_EXTRA_ILLEGAL_TOKENS`
`static java.lang.String` | `ER_FASTSTRINGBUFFER_CANNOT_BE_NULL` The FastStringBuffer argument can not be null
`static java.lang.String` | `ER_FEATURE_NAME_NULL`
`static java.lang.String` | `ER_FEATURE_UNKNOWN`
`static java.lang.String` | `ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG`
`static java.lang.String` | `ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG`
`static java.lang.String` | `ER_FSB_CANNOT_TAKE_STRING` XStringForFSB can not take a string for an argument!
`static java.lang.String` | `ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS` fsb() not supported for XStringForChars
`static java.lang.String` | `ER_FUNCTION_TOKEN_NOT_FOUND`
`static java.lang.String` | `ER_GETTING_NULL_FEATURE`
`static java.lang.String` | `ER_GETTING_UNKNOWN_FEATURE`
`static java.lang.String` | `ER_IGNORABLE_WHITESPACE_NOT_HANDLED`
`static java.lang.String` | `ER_ILLEGAL_AXIS_NAME`
`static java.lang.String` | `ER_ILLEGAL_VARIABLE_REFERENCE`
`static java.lang.String` | `ER_INCOMPATIBLE_TYPES`
`static java.lang.String` | `ER_INCORRECT_ARG_LENGTH`
`static java.lang.String` | `ER_INCORRECT_PROGRAMMER_ASSERTION`
`static java.lang.String` | `ER_INVALID_UTF16_SURROGATE`
`static java.lang.String` | `ER_INVALID_XPATH_TYPE`
`static java.lang.String` | `ER_KEY_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_LOCALNAME_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_NAME_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_NAMESPACEAXIS_NOT_IMPLEMENTED`
`static java.lang.String` | `ER_NAMESPACEURI_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_NODESET_CANNOT_INDEX` This NodeSet can not do indexing or counting functions!
`static java.lang.String` | `ER_NODESET_CANNOT_ITERATE` This NodeSet can not iterate to a previous node!
`static java.lang.String` | `ER_NODESET_NOT_MUTABLE`
`static java.lang.String` | `ER_NODESETDTM_CANNOT_INDEX` This NodeSetDTM can not do indexing or counting functions!
`static java.lang.String` | `ER_NODESETDTM_CANNOT_ITERATE` This NodeSetDTM can not iterate to a previous node!
`static java.lang.String` | `ER_NODESETDTM_NOT_MUTABLE`
`static java.lang.String` | `ER_NON_ITERATOR_TYPE` Field ER_NON_ITERATOR_TYPE
`static java.lang.String` | `ER_NON_SNAPSHOT_TYPE`
`static java.lang.String` | `ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_NULL_ERROR_HANDLER` Null error handler
`static java.lang.String` | `ER_NULL_RESOLVER`
`static java.lang.String` | `ER_NULL_XPATH_FUNCTION_RESOLVER`
`static java.lang.String` | `ER_NULL_XPATH_VARIABLE_RESOLVER`
`static java.lang.String` | `ER_NUM_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` num() not supported by XRTreeFragSelectWrapper
`static java.lang.String` | `ER_NUMBER_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_OBJECT_MODEL_EMPTY`
`static java.lang.String` | `ER_OBJECT_MODEL_NULL`
`static java.lang.String` | `ER_OIERROR`
`static java.lang.String` | `ER_ONLY_ALLOWS` {0} only allows {1} arguments
`static java.lang.String` | `ER_PARSE_NOT_SUPPORTED`
`static java.lang.String` | `ER_PATTERN_LITERAL_NEEDS_BE_QUOTED`
`static java.lang.String` | `ER_PREDICATE_ILLEGAL_SYNTAX`
`static java.lang.String` | `ER_PREFIX_MUST_RESOLVE`
`static java.lang.String` | `ER_PROBLEM_IN_DTM_NEXTSIBLING`
`static java.lang.String` | `ER_PROG_ASSERT_UNKNOWN_OPCODE` Programmer's assertion: unknown opcode
`static java.lang.String` | `ER_RESOLVE_VARIABLE_RETURNS_NULL`
`static java.lang.String` | `ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` rtf() not supported by XRTreeFragSelectWrapper
`static java.lang.String` | `ER_SAX_API_NOT_HANDLED`
`static java.lang.String` | `ER_SETDOMFACTORY_NOT_SUPPORTED`
`static java.lang.String` | `ER_SETTING_WALKER_ROOT_TO_NULL` Error! Setting the root of a walker to null!
`static java.lang.String` | `ER_SOURCE_RETURN_TYPE_CANNOT_BE_NULL`
`static java.lang.String` | `ER_STR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` str() not supported by XRTreeFragSelectWrapper
`static java.lang.String` | `ER_STRING_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_STRINGLENGTH_HAS_TOO_MANY_ARGS`
`static java.lang.String` | `ER_TRANSLATE_TAKES_3_ARGS`
`static java.lang.String` | `ER_TWO_OR_THREE` 2 or 3
`static java.lang.String` | `ER_UNKNOWN_AXIS`
`static java.lang.String` | `ER_UNKNOWN_MATCH_OPERATION`
`static java.lang.String` | `ER_UNKNOWN_NODETYPE`
`static java.lang.String` | `ER_UNKNOWN_OPCODE`
`static java.lang.String` | `ER_UNKNOWN_STEP` Programmer's assertion in getNextStepPos: unknown stepType: {0}
`static java.lang.String` | `ER_UNPARSEDENTITYURI_TAKES_1_ARG`
`static java.lang.String` | `ER_UNSUPPORTED_ENCODING`
`static java.lang.String` | `ER_UNSUPPORTED_RETURN_TYPE`
`static java.lang.String` | `ER_VAR_NOT_RESOLVABLE` Variable not resolvable:
`static java.lang.String` | `ER_VARIABLE_ACCESSED_BEFORE_BIND` Variable accessed before it is bound!
`static java.lang.String` | `ER_WRONG_DOCUMENT`
`static java.lang.String` | `ER_WRONG_NODETYPE` Field ER_WRONG_NODETYPE
`static java.lang.String` | `ER_XERCES_CANNOT_HANDLE_NODES`
`static java.lang.String` | `ER_XERCES_PARSE_ERROR`
`static java.lang.String` | `ER_XERCES_PARSE_ERROR_DETAILS`
`static java.lang.String` | `ER_XPATH_ERROR`
`static java.lang.String` | `ER_XPATH_READOBJECT`
`static java.lang.String` | `ER_XSTR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER` xstr() not supported by XRTreeFragSelectWrapper
`static java.lang.String` | `ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING` XStringForChars can not take a string for an argument
`static java.lang.String` | `ER_ZERO_OR_ONE` 0 or 1
`static java.lang.String` | `ERROR_HEADER` Field ERROR_HEADER
`static java.lang.String` | `ERROR_RESOURCES` Field ERROR_RESOURCES
`static java.lang.String` | `ERROR_STRING` Field ERROR_STRING
`static java.lang.String` | `ERROR0000`
`static java.lang.String` | `FORMAT_FAILED` Field FORMAT_FAILED
`static java.lang.String` | `QUERY_HEADER` Field QUERY_HEADER
`static java.lang.String` | `WARNING_HEADER` Field WARNING_HEADER
`static java.lang.String` | `WG_CANNOT_MAKE_URL_FROM`
`static java.lang.String` | `WG_COULDNOT_FIND_FUNCTION`
`static java.lang.String` | `WG_DONT_DO_ANYTHING_WITH_NS`
`static java.lang.String` | `WG_EXPAND_ENTITIES_NOT_SUPPORTED`
`static java.lang.String` | `WG_FUNCTION_TOKEN_NOT_FOUND`
`static java.lang.String` | `WG_ILLEGAL_VARIABLE_REFERENCE`
`static java.lang.String` | `WG_LOCALE_NAME_NOT_HANDLED`
`static java.lang.String` | `WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST`
`static java.lang.String` | `WG_PROPERTY_NOT_SUPPORTED`
`static java.lang.String` | `WG_QUO_NO_LONGER_DEFINED`
`static java.lang.String` | `WG_SECURITY_EXCEPTION`
`static java.lang.String` | `WG_UNSUPPORTED_ENCODING`
`static java.lang.String` | `XML_HEADER` Field XML_HEADER
`static java.lang.String` | `XSL_HEADER` Field XSL_HEADER

Constructor Summary
`XPATHErrorResources_pt_BR()`

Method Summary
`java.lang.Object[][]` | `getContents()` Get the association list.
`static XPATHErrorResources` | `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR0000

    public static final java.lang.String ERROR0000

### ER_CURRENT_NOT_ALLOWED_IN_MATCH

    public static final java.lang.String ER_CURRENT_NOT_ALLOWED_IN_MATCH

### ER_CURRENT_TAKES_NO_ARGS

    public static final java.lang.String ER_CURRENT_TAKES_NO_ARGS

### ER_DOCUMENT_REPLACED

    public static final java.lang.String ER_DOCUMENT_REPLACED

### ER_CONTEXT_HAS_NO_OWNERDOC

    public static final java.lang.String ER_CONTEXT_HAS_NO_OWNERDOC

### ER_LOCALNAME_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_LOCALNAME_HAS_TOO_MANY_ARGS

### ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NAMESPACEURI_HAS_TOO_MANY_ARGS

### ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NORMALIZESPACE_HAS_TOO_MANY_ARGS

### ER_NUMBER_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NUMBER_HAS_TOO_MANY_ARGS

### ER_NAME_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_NAME_HAS_TOO_MANY_ARGS

### ER_STRING_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_STRING_HAS_TOO_MANY_ARGS

### ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_STRINGLENGTH_HAS_TOO_MANY_ARGS

### ER_TRANSLATE_TAKES_3_ARGS

    public static final java.lang.String ER_TRANSLATE_TAKES_3_ARGS

### ER_UNPARSEDENTITYURI_TAKES_1_ARG

    public static final java.lang.String ER_UNPARSEDENTITYURI_TAKES_1_ARG

### ER_NAMESPACEAXIS_NOT_IMPLEMENTED

    public static final java.lang.String ER_NAMESPACEAXIS_NOT_IMPLEMENTED

### ER_UNKNOWN_AXIS

    public static final java.lang.String ER_UNKNOWN_AXIS

### ER_UNKNOWN_MATCH_OPERATION

    public static final java.lang.String ER_UNKNOWN_MATCH_OPERATION

### ER_INCORRECT_ARG_LENGTH

    public static final java.lang.String ER_INCORRECT_ARG_LENGTH

### ER_CANT_CONVERT_TO_NUMBER

    public static final java.lang.String ER_CANT_CONVERT_TO_NUMBER

### ER_CANT_CONVERT_XPATHRESULTTYPE_TO_NUMBER

    public static final java.lang.String ER_CANT_CONVERT_XPATHRESULTTYPE_TO_NUMBER

### ER_CANT_CONVERT_TO_NODELIST

    public static final java.lang.String ER_CANT_CONVERT_TO_NODELIST

### ER_CANT_CONVERT_TO_MUTABLENODELIST

    public static final java.lang.String ER_CANT_CONVERT_TO_MUTABLENODELIST

### ER_CANT_CONVERT_TO_TYPE

    public static final java.lang.String ER_CANT_CONVERT_TO_TYPE

### ER_EXPECTED_MATCH_PATTERN

    public static final java.lang.String ER_EXPECTED_MATCH_PATTERN

### ER_COULDNOT_GET_VAR_NAMED

    public static final java.lang.String ER_COULDNOT_GET_VAR_NAMED

### ER_UNKNOWN_OPCODE

    public static final java.lang.String ER_UNKNOWN_OPCODE

### ER_EXTRA_ILLEGAL_TOKENS

    public static final java.lang.String ER_EXTRA_ILLEGAL_TOKENS

### ER_EXPECTED_DOUBLE_QUOTE

    public static final java.lang.String ER_EXPECTED_DOUBLE_QUOTE

### ER_EXPECTED_SINGLE_QUOTE

    public static final java.lang.String ER_EXPECTED_SINGLE_QUOTE

### ER_EMPTY_EXPRESSION

    public static final java.lang.String ER_EMPTY_EXPRESSION

### ER_EXPECTED_BUT_FOUND

    public static final java.lang.String ER_EXPECTED_BUT_FOUND

### ER_INCORRECT_PROGRAMMER_ASSERTION

    public static final java.lang.String ER_INCORRECT_PROGRAMMER_ASSERTION

### ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

    public static final java.lang.String ER_BOOLEAN_ARG_NO_LONGER_OPTIONAL

### ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

    public static final java.lang.String ER_FOUND_COMMA_BUT_NO_PRECEDING_ARG

### ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

    public static final java.lang.String ER_FOUND_COMMA_BUT_NO_FOLLOWING_ARG

### ER_PREDICATE_ILLEGAL_SYNTAX

    public static final java.lang.String ER_PREDICATE_ILLEGAL_SYNTAX

### ER_ILLEGAL_AXIS_NAME

    public static final java.lang.String ER_ILLEGAL_AXIS_NAME

### ER_UNKNOWN_NODETYPE

    public static final java.lang.String ER_UNKNOWN_NODETYPE

### ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

    public static final java.lang.String ER_PATTERN_LITERAL_NEEDS_BE_QUOTED

### ER_COULDNOT_BE_FORMATTED_TO_NUMBER

    public static final java.lang.String ER_COULDNOT_BE_FORMATTED_TO_NUMBER

### ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

    public static final java.lang.String ER_COULDNOT_CREATE_XMLPROCESSORLIAISON

### ER_DIDNOT_FIND_XPATH_SELECT_EXP

    public static final java.lang.String ER_DIDNOT_FIND_XPATH_SELECT_EXP

### ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

    public static final java.lang.String ER_COULDNOT_FIND_ENDOP_AFTER_OPLOCATIONPATH

### ER_ERROR_OCCURED

    public static final java.lang.String ER_ERROR_OCCURED

### ER_ILLEGAL_VARIABLE_REFERENCE

    public static final java.lang.String ER_ILLEGAL_VARIABLE_REFERENCE

### ER_AXES_NOT_ALLOWED

    public static final java.lang.String ER_AXES_NOT_ALLOWED

### ER_KEY_HAS_TOO_MANY_ARGS

    public static final java.lang.String ER_KEY_HAS_TOO_MANY_ARGS

### ER_COUNT_TAKES_1_ARG

    public static final java.lang.String ER_COUNT_TAKES_1_ARG

### ER_COULDNOT_FIND_FUNCTION

    public static final java.lang.String ER_COULDNOT_FIND_FUNCTION

### ER_UNSUPPORTED_ENCODING

    public static final java.lang.String ER_UNSUPPORTED_ENCODING

### ER_PROBLEM_IN_DTM_NEXTSIBLING

    public static final java.lang.String ER_PROBLEM_IN_DTM_NEXTSIBLING

### ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

    public static final java.lang.String ER_CANNOT_WRITE_TO_EMPTYNODELISTIMPL

### ER_SETDOMFACTORY_NOT_SUPPORTED

    public static final java.lang.String ER_SETDOMFACTORY_NOT_SUPPORTED

### ER_PREFIX_MUST_RESOLVE

    public static final java.lang.String ER_PREFIX_MUST_RESOLVE

### ER_PARSE_NOT_SUPPORTED

    public static final java.lang.String ER_PARSE_NOT_SUPPORTED

### ER_SAX_API_NOT_HANDLED

    public static final java.lang.String ER_SAX_API_NOT_HANDLED

### ER_IGNORABLE_WHITESPACE_NOT_HANDLED

    public static final java.lang.String ER_IGNORABLE_WHITESPACE_NOT_HANDLED

### ER_DTM_CANNOT_HANDLE_NODES

    public static final java.lang.String ER_DTM_CANNOT_HANDLE_NODES

### ER_XERCES_CANNOT_HANDLE_NODES

    public static final java.lang.String ER_XERCES_CANNOT_HANDLE_NODES

### ER_XERCES_PARSE_ERROR_DETAILS

    public static final java.lang.String ER_XERCES_PARSE_ERROR_DETAILS

### ER_XERCES_PARSE_ERROR

    public static final java.lang.String ER_XERCES_PARSE_ERROR

### ER_INVALID_UTF16_SURROGATE

    public static final java.lang.String ER_INVALID_UTF16_SURROGATE

### ER_OIERROR

    public static final java.lang.String ER_OIERROR

### ER_CANNOT_CREATE_URL

    public static final java.lang.String ER_CANNOT_CREATE_URL

### ER_XPATH_READOBJECT

    public static final java.lang.String ER_XPATH_READOBJECT

### ER_FUNCTION_TOKEN_NOT_FOUND

    public static final java.lang.String ER_FUNCTION_TOKEN_NOT_FOUND

### ER_CANNOT_DEAL_XPATH_TYPE

    public static final java.lang.String ER_CANNOT_DEAL_XPATH_TYPE

### ER_NODESET_NOT_MUTABLE

    public static final java.lang.String ER_NODESET_NOT_MUTABLE

### ER_NODESETDTM_NOT_MUTABLE

    public static final java.lang.String ER_NODESETDTM_NOT_MUTABLE

### ER_VAR_NOT_RESOLVABLE

    public static final java.lang.String ER_VAR_NOT_RESOLVABLE

  Variable not resolvable:

### ER_NULL_ERROR_HANDLER

    public static final java.lang.String ER_NULL_ERROR_HANDLER

  Null error handler

### ER_PROG_ASSERT_UNKNOWN_OPCODE

    public static final java.lang.String ER_PROG_ASSERT_UNKNOWN_OPCODE

  Programmer's assertion: unknown opcode

### ER_ZERO_OR_ONE

    public static final java.lang.String ER_ZERO_OR_ONE

  0 or 1

### ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_RTF_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  rtf() not supported by XRTreeFragSelectWrapper

### ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_ASNODEITERATOR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  asNodeIterator() not supported by XRTreeFragSelectWrapper

### ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS

    public static final java.lang.String ER_FSB_NOT_SUPPORTED_XSTRINGFORCHARS

  fsb() not supported for XStringForChars

### ER_COULD_NOT_FIND_VAR

    public static final java.lang.String ER_COULD_NOT_FIND_VAR

  Could not find variable with the name of

### ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING

    public static final java.lang.String ER_XSTRINGFORCHARS_CANNOT_TAKE_STRING

  XStringForChars can not take a string for an argument

### ER_FASTSTRINGBUFFER_CANNOT_BE_NULL

    public static final java.lang.String ER_FASTSTRINGBUFFER_CANNOT_BE_NULL

  The FastStringBuffer argument can not be null

### ER_TWO_OR_THREE

    public static final java.lang.String ER_TWO_OR_THREE

  2 or 3

### ER_VARIABLE_ACCESSED_BEFORE_BIND

    public static final java.lang.String ER_VARIABLE_ACCESSED_BEFORE_BIND

  Variable accessed before it is bound!

### ER_FSB_CANNOT_TAKE_STRING

    public static final java.lang.String ER_FSB_CANNOT_TAKE_STRING

  XStringForFSB can not take a string for an argument!

### ER_SETTING_WALKER_ROOT_TO_NULL

    public static final java.lang.String ER_SETTING_WALKER_ROOT_TO_NULL

  Error! Setting the root of a walker to null!

### ER_NODESETDTM_CANNOT_ITERATE

    public static final java.lang.String ER_NODESETDTM_CANNOT_ITERATE

  This NodeSetDTM can not iterate to a previous node!

### ER_NODESET_CANNOT_ITERATE

    public static final java.lang.String ER_NODESET_CANNOT_ITERATE

  This NodeSet can not iterate to a previous node!

### ER_NODESETDTM_CANNOT_INDEX

    public static final java.lang.String ER_NODESETDTM_CANNOT_INDEX

  This NodeSetDTM can not do indexing or counting functions!

### ER_NODESET_CANNOT_INDEX

    public static final java.lang.String ER_NODESET_CANNOT_INDEX

  This NodeSet can not do indexing or counting functions!

### ER_CANNOT_CALL_SETSHOULDCACHENODE

    public static final java.lang.String ER_CANNOT_CALL_SETSHOULDCACHENODE

  Can not call setShouldCacheNodes after nextNode has been called!

### ER_ONLY_ALLOWS

    public static final java.lang.String ER_ONLY_ALLOWS

  {0} only allows {1} arguments

### ER_UNKNOWN_STEP

    public static final java.lang.String ER_UNKNOWN_STEP

  Programmer's assertion in getNextStepPos: unknown stepType: {0}

### ER_EXPECTED_REL_LOC_PATH

    public static final java.lang.String ER_EXPECTED_REL_LOC_PATH

  Problem with RelativeLocationPath

### ER_EXPECTED_LOC_PATH

    public static final java.lang.String ER_EXPECTED_LOC_PATH

  Problem with LocationPath

### ER_EXPECTED_LOC_PATH_AT_END_EXPR

    public static final java.lang.String ER_EXPECTED_LOC_PATH_AT_END_EXPR

### ER_EXPECTED_LOC_STEP

    public static final java.lang.String ER_EXPECTED_LOC_STEP

  Problem with Step

### ER_EXPECTED_NODE_TEST

    public static final java.lang.String ER_EXPECTED_NODE_TEST

  Problem with NodeTest

### ER_EXPECTED_STEP_PATTERN

    public static final java.lang.String ER_EXPECTED_STEP_PATTERN

  Expected step pattern

### ER_EXPECTED_REL_PATH_PATTERN

    public static final java.lang.String ER_EXPECTED_REL_PATH_PATTERN

  Expected relative path pattern

### ER_CANT_CONVERT_TO_BOOLEAN

    public static final java.lang.String ER_CANT_CONVERT_TO_BOOLEAN

  ER_CANT_CONVERT_XPATHRESULTTYPE_TO_BOOLEAN

### ER_CANT_CONVERT_TO_SINGLENODE

    public static final java.lang.String ER_CANT_CONVERT_TO_SINGLENODE

  Field ER_CANT_CONVERT_TO_SINGLENODE

### ER_CANT_GET_SNAPSHOT_LENGTH

    public static final java.lang.String ER_CANT_GET_SNAPSHOT_LENGTH

  Field ER_CANT_GET_SNAPSHOT_LENGTH

### ER_NON_ITERATOR_TYPE

    public static final java.lang.String ER_NON_ITERATOR_TYPE

  Field ER_NON_ITERATOR_TYPE

### ER_DOC_MUTATED

    public static final java.lang.String ER_DOC_MUTATED

  Field ER_DOC_MUTATED

### ER_INVALID_XPATH_TYPE

    public static final java.lang.String ER_INVALID_XPATH_TYPE

### ER_EMPTY_XPATH_RESULT

    public static final java.lang.String ER_EMPTY_XPATH_RESULT

### ER_INCOMPATIBLE_TYPES

    public static final java.lang.String ER_INCOMPATIBLE_TYPES

### ER_NULL_RESOLVER

    public static final java.lang.String ER_NULL_RESOLVER

### ER_CANT_CONVERT_TO_STRING

    public static final java.lang.String ER_CANT_CONVERT_TO_STRING

### ER_NON_SNAPSHOT_TYPE

    public static final java.lang.String ER_NON_SNAPSHOT_TYPE

### ER_WRONG_DOCUMENT

    public static final java.lang.String ER_WRONG_DOCUMENT

### ER_WRONG_NODETYPE

    public static final java.lang.String ER_WRONG_NODETYPE

  Field ER_WRONG_NODETYPE

### ER_XPATH_ERROR

    public static final java.lang.String ER_XPATH_ERROR

### ER_EXTENSION_FUNCTION_CANNOT_BE_INVOKED

    public static final java.lang.String ER_EXTENSION_FUNCTION_CANNOT_BE_INVOKED

### ER_RESOLVE_VARIABLE_RETURNS_NULL

    public static final java.lang.String ER_RESOLVE_VARIABLE_RETURNS_NULL

### ER_UNSUPPORTED_RETURN_TYPE

    public static final java.lang.String ER_UNSUPPORTED_RETURN_TYPE

### ER_SOURCE_RETURN_TYPE_CANNOT_BE_NULL

    public static final java.lang.String ER_SOURCE_RETURN_TYPE_CANNOT_BE_NULL

### ER_ARG_CANNOT_BE_NULL

    public static final java.lang.String ER_ARG_CANNOT_BE_NULL

### ER_OBJECT_MODEL_NULL

    public static final java.lang.String ER_OBJECT_MODEL_NULL

### ER_OBJECT_MODEL_EMPTY

    public static final java.lang.String ER_OBJECT_MODEL_EMPTY

### ER_FEATURE_NAME_NULL

    public static final java.lang.String ER_FEATURE_NAME_NULL

### ER_FEATURE_UNKNOWN

    public static final java.lang.String ER_FEATURE_UNKNOWN

### ER_GETTING_NULL_FEATURE

    public static final java.lang.String ER_GETTING_NULL_FEATURE

### ER_GETTING_UNKNOWN_FEATURE

    public static final java.lang.String ER_GETTING_UNKNOWN_FEATURE

### ER_NULL_XPATH_FUNCTION_RESOLVER

    public static final java.lang.String ER_NULL_XPATH_FUNCTION_RESOLVER

### ER_NULL_XPATH_VARIABLE_RESOLVER

    public static final java.lang.String ER_NULL_XPATH_VARIABLE_RESOLVER

### WG_LOCALE_NAME_NOT_HANDLED

    public static final java.lang.String WG_LOCALE_NAME_NOT_HANDLED

### WG_PROPERTY_NOT_SUPPORTED

    public static final java.lang.String WG_PROPERTY_NOT_SUPPORTED

### WG_DONT_DO_ANYTHING_WITH_NS

    public static final java.lang.String WG_DONT_DO_ANYTHING_WITH_NS

### WG_SECURITY_EXCEPTION

    public static final java.lang.String WG_SECURITY_EXCEPTION

### WG_QUO_NO_LONGER_DEFINED

    public static final java.lang.String WG_QUO_NO_LONGER_DEFINED

### WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

    public static final java.lang.String WG_NEED_DERIVED_OBJECT_TO_IMPLEMENT_NODETEST

### WG_FUNCTION_TOKEN_NOT_FOUND

    public static final java.lang.String WG_FUNCTION_TOKEN_NOT_FOUND

### WG_COULDNOT_FIND_FUNCTION

    public static final java.lang.String WG_COULDNOT_FIND_FUNCTION

### WG_CANNOT_MAKE_URL_FROM

    public static final java.lang.String WG_CANNOT_MAKE_URL_FROM

### WG_EXPAND_ENTITIES_NOT_SUPPORTED

    public static final java.lang.String WG_EXPAND_ENTITIES_NOT_SUPPORTED

### WG_ILLEGAL_VARIABLE_REFERENCE

    public static final java.lang.String WG_ILLEGAL_VARIABLE_REFERENCE

### WG_UNSUPPORTED_ENCODING

    public static final java.lang.String WG_UNSUPPORTED_ENCODING

### ER_DETACH_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_DETACH_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  detach() not supported by XRTreeFragSelectWrapper

### ER_NUM_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_NUM_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  num() not supported by XRTreeFragSelectWrapper

### ER_XSTR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_XSTR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  xstr() not supported by XRTreeFragSelectWrapper

### ER_STR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

    public static final java.lang.String ER_STR_NOT_SUPPORTED_XRTREEFRAGSELECTWRAPPER

  str() not supported by XRTreeFragSelectWrapper

### BAD_CODE

    public static final java.lang.String BAD_CODE

  Field BAD_CODE

### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

  Field FORMAT_FAILED

### ERROR_RESOURCES

    public static final java.lang.String ERROR_RESOURCES

  Field ERROR_RESOURCES

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

  Field ERROR_STRING

### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

  Field ERROR_HEADER

### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

  Field WARNING_HEADER

### XSL_HEADER

    public static final java.lang.String XSL_HEADER

  Field XSL_HEADER

### XML_HEADER

    public static final java.lang.String XML_HEADER

  Field XML_HEADER

### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

  Field QUERY_HEADER

Constructor Detail

### XPATHErrorResources_pt_BR

    public XPATHErrorResources_pt_BR()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Get the association list.
  Returns:
    The association list.

### loadResourceBundle

    public static final XPATHErrorResources loadResourceBundle(java.lang.String className)
                                                        throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().
  Parameters:
    `className` - Name of local-specific subclass.
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.